cURL
curl --request GET \ --url https://us.infisical.com/api/v2/secret-scanning/findings
{ "findings": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "dataSourceName": "<string>", "resourceName": "<string>", "rule": "<string>", "severity": "<string>", "fingerprint": "<string>", "projectId": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "resourceType": "repository", "dataSourceType": "github", "details": { "description": "<string>", "startLine": 123, "endLine": 123, "startColumn": 123, "endColumn": 123, "file": "<string>", "link": "<string>", "symlinkFile": "<string>", "commit": "<string>", "entropy": 123, "author": "<string>", "email": "<string>", "date": "<string>", "message": "<string>", "tags": [ "<string>" ], "ruleID": "<string>", "fingerprint": "<string>" }, "status": "unresolved", "remarks": "<string>", "scanId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } ] }
List all the Secret Scanning Findings for the specified project.
Documentation IndexFetch the complete documentation index at: https://infisical.com/docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://infisical.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
The ID of the project to list Secret Scanning Findings from.
1
Default Response
Show child attributes
Was this page helpful?